---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: seb-guiservice
spec:
  template:
    spec:
      containers:
        - name: seb-guiservice
          imagePullPolicy: IfNotPresent
          env:
            - name: "sebserver_gui_http_webservice_scheme"
              value: "https"
            - name: "sebserver_gui_http_webservice_servername"
              value: "sebserver-webservice-staging.ethz.ch"
            - name: "sebserver_gui_http_webservice_port"
              value: "443"
            - name: "sebserver_gui_http_external_servername"
              value: "sebserver-staging.ethz.ch"
            - name: "sebserver_gui_http_external_scheme"
              value: "https"
            - name: sebserver_password
              valueFrom:
                secretKeyRef:
                  key: SEBSERVER_PWD
                  name: sebservercredentials
